Flows
GET https://notifycame.com/api/flows/
curl --request GET \
--url 'https://notifycame.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: content. |
| segment | Optional String | Filter results by segment. |
| user_id | Optional Integer | Filter results by user ID. |
| datetime_field | Optional String | Allowed values: last_sent_datetime, datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: flow_id, name, title, last_sent_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
{
"data": [
{
"id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"user_id": 1,
"name": "Example",
"content": "Sample message",
"settings": {},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_sms": 0,
"total_pending_sms": 0,
"total_failed_sms": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-20 10:38:15",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notifycame.com/api/flows?page=1",
"last": "https://notifycame.com/api/flows?page=1",
"next": null,
"prev": null,
"self": "https://notifycame.com/api/flows?page=1"
}
}
GET https://notifycame.com/api/flows/{flow_id}
curl --request GET \
--url 'https://notifycame.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"user_id": 1,
"name": "Example",
"content": "Sample message",
"settings": {},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_sms": 0,
"total_pending_sms": 0,
"total_failed_sms": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-20 10:38:15",
}
}
POST https://notifycame.com/api/flows
| Parameters | Details | Description |
|---|---|---|
| name | Required String | - |
| content | Required String | - |
| device_id | Required Integer | - |
| sim_subscription_id | Required Integer | - |
| wait_time | Required Integer | - |
| wait_time_type | Required String | Allowed values: minutes, hours, days |
| segment | Optional String | Allowed values: all, INT segment_id |
| is_enabled | Optional Boolean | - |
| auto_apply_to_matching | Optional Boolean | - |
curl --request POST \
--url 'https://notifycame.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
--url 'https://notifycame.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
POST https://notifycame.com/api/flows/{flow_id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | - |
| content | Optional String | - |
| device_id | Optional Integer | - |
| sim_subscription_id | Optional Integer | - |
| wait_time | Optional Integer | - |
| wait_time_type | Optional String | Allowed values: minutes, hours, days |
| segment | Optional String | Allowed values: all, INT segment_id |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://notifycame.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
--url 'https://notifycame.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://notifycame.com/api/flows/{flow_id}
curl --request DELETE \
--url 'https://notifycame.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \